Schema "fpml-reporting-5-3.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/reporting

Version:

  $Revision: 8633 $

Defined Components:

  22 global elements, 86 local elements, 21 complexTypes, 1 simpleType, 3 element groups

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\reporting\fpml-reporting-5-3.xsd; see XML source

Includes Schemas (2):

  fpml-reconciliation-5-3.xsd [src], fpml-valuation-reporting-5-3.xsd [src]

Included in Schema:

  fpml-main-5-3.xsd [src]

Annotation
Reporting messages.

All Element Summary
accountReference (defined in PartyExposureCategory.model group) |
Type: | AccountReference
Content: | empty, 1 attribute
Defined: | locally witnin PartyExposureCategory.model group; see XML source
adjustedPaymentDate (in payment in position in positionReport) | The date on which this payment will settle.
Type: | xsd:date
Content: | simple
Defined: | locally witnin PositionPayment complexType; see XML source
affectedPositions | The positions affected by this fixing.
Type: | AffectedPositions
Content: | complex, 1 element
Defined: | locally witnin ResetReport complexType; see XML source
asOfDate (in eventActivityReport) | The date for which this document reports positions and valuations.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin EventActivityReport complexType; see XML source
asOfDate (in exposureReport) | The date for which this report was generated.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin ExposureReport complexType; see XML source
asOfDate (in partyReport) | The date for which this report was generated.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin PartyReport complexType; see XML source
asOfDate (in positionActivityReport) | The date for which this document reports positions and valuations.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin PositionActivityReport complexType; see XML source
asOfDate (in positionReport) | The date for which this document reports positions and valuations.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin PositionReport complexType; see XML source
asOfDate (in requestPositionReport) | The date for which this request desires positions and valuations.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin RequestPositionReport complexType; see XML source
asOfDate (in resetReport) | The date for which this request was generated.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin ResetReport complexType; see XML source
asOfDate (in terminatingEventsReport) | The date for which this document reports positions and valuations.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin TerminatingEventsReport complexType; see XML source
asOfTime | The time for which this report was generated (i.e., the cut-off time of the report).
Type: | xsd:time
Content: | simple
Defined: | locally witnin ExposureReport complexType; see XML source
assetClass (defined in ProductExposureCategory.model group) |
Type: | AssetClass
Content: | simple, 1 attribute
Defined: | locally witnin ProductExposureCategory.model group; see XML source
calculationDetails (in payment in position in positionReport) | The set of cash flow components with calculations that comprise this payment.
Type: | CalculationDetails
Content: | complex, 3 elements
Defined: | locally witnin PositionPayment complexType; see XML source
category (defined in PartyExposureCategory.model group) | Used to categorize trades into user-defined categories, such as house trades vs. customer trades.
Type: | TradeCategory
Content: | simple, 1 attribute
Defined: | locally witnin PartyExposureCategory.model group; see XML source
cleared (defined in PartyExposureCategory.model group) |
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PartyExposureCategory.model group; see XML source
code | A code summarizing the reason for the update (e.g. new trade, amdendment, novation).
Type: | PositionUpdateReasonCode
Content: | simple, 1 attribute
Defined: | locally witnin PositionUpdateReason complexType; see XML source
comment (in reason in positionUpdate) | A freeform description of the reason for the update.
Type: | xsd:string
Content: | simple
Defined: | locally witnin PositionUpdateReason complexType; see XML source
counterpartyType |
Type: | ExposurePartyType
Content: | simple, 1 attribute
Defined: | locally witnin PartyExposureCategory.model group; see XML source
country (defined in PartyExposureCategory.model group) |
Type: | CountryCode
Content: | simple, 1 attribute
Defined: | locally witnin PartyExposureCategory.model group; see XML source
couponRate (defined in ProductExposureCategory.model group) | Specifies the coupon rate (expressed in percentage) of a fixed income security or convertible bond.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin ProductExposureCategory.model group; see XML source
creditRating (defined in PartyExposureCategory.model group) |
Type: | CreditRating
Content: | simple, 1 attribute
Defined: | locally witnin PartyExposureCategory.model group; see XML source
currency (defined in ProductExposureCategory.model group) |
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin ProductExposureCategory.model group; see XML source
dataSetName (in eventActivityReport) | The name of the data set (portfolio, product type, etc.) that this report corresponds to.
Type: | xsd:string
Content: | simple
Defined: | locally witnin EventActivityReport complexType; see XML source
dataSetName (in exposureReport) | The name of the data set (portfolio, product type, etc.) that this request corresponds to.
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin ExposureReport complexType; see XML source
dataSetName (in partyReport) | The name of the data set (portfolio, product type, etc.) that this request corresponds to.
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin PartyReport complexType; see XML source
dataSetName (in positionActivityReport) | The name of the data set (portfolio, product type, etc.) that this report corresponds to.
Type: | xsd:string
Content: | simple
Defined: | locally witnin PositionActivityReport complexType; see XML source
dataSetName (in positionReport) | The name of the data set (portfolio, product type, etc.) that this report corresponds to.
Type: | xsd:string
Content: | simple
Defined: | locally witnin PositionReport complexType; see XML source
dataSetName (in requestPositionReport) | The name of the data set (portfolio, product type, etc.) that this request corresponds to.
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin RequestPositionReport complexType; see XML source
dataSetName (in resetReport) | The name of the data set (portfolio, product type, etc.) that this report corresponds to.
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin ResetReport complexType; see XML source
description (defined in ExposureUnderlyingAsset complexType) | A textual description of the asset that underlies the exposure.
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin ExposureUnderlyingAsset complexType; see XML source
eventActivityReport |
Type: | EventActivityReport
Content: | complex, 3 attributes, 26 elements
Defined: | globally; see XML source
Used: | never
eventActivityReportAcknowledgement |
Type: | Acknowledgement
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Used: | never
eventActivityReportException |
Type: | Exception
Content: | complex, 3 attributes, 7 elements
Defined: | globally; see XML source
Used: | never
expirationDate (defined in ProductExposureCategory.model group) |
Type: | xsd:date
Content: | simple
Defined: | locally witnin ProductExposureCategory.model group; see XML source
exposure (defined in ReportedExposure complexType) | Sub-divisions of this total expsoure.
Type: | ReportedExposure
Content: | complex, 29 elements
Defined: | locally witnin ReportedExposure complexType; see XML source
exposure (in exposureReport) | A specific exposure record (which may include more details in the form of sub-records.
Type: | ReportedExposure
Content: | complex, 29 elements
Defined: | locally witnin ExposureReport complexType; see XML source
exposureReport |
Type: | ExposureReport
Content: | complex, 3 attributes, 14 elements
Defined: | globally; see XML source
Used: | never
exposureReportAcknowledgement |
Type: | Acknowledgement
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Used: | never
exposureReportException |
Type: | Exception
Content: | complex, 3 attributes, 7 elements
Defined: | globally; see XML source
Used: | never
exposureType |
Type: | ExposureType
Content: | simple, 1 attribute
Defined: | locally witnin ProductExposureCategory.model group; see XML source
fromDateTime (in eventActivityReport) | The starting point for reporting activity in this report.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin EventActivityReport complexType; see XML source
fromDateTime (in positionActivityReport) | The starting point for reporting activity in this report.
Type: | xsd:date
Content: | simple
Defined: | locally witnin PositionActivityReport complexType; see XML source
fromDateTime (in terminatingEventsReport) | The starting point for reporting expirations/maturities in this report.
Type: | xsd:date
Content: | simple
Defined: | locally witnin TerminatingEventsReport complexType; see XML source
futuresEquivalentMonth |
Type: | YearAndMonth
Content: | simple
Defined: | locally witnin ProductExposureCategory.model group; see XML source
index (in resetReport) | The rate index that has set.
Type: | ForecastRateIndex
Content: | complex, 2 elements
Defined: | locally witnin ResetReport complexType; see XML source
indexSource (in resetReport) | The reference source such as Reuters or Bloomberg.
Type: | RateSourcePage
Content: | simple, 1 attribute
Defined: | locally witnin ResetReport complexType; see XML source
indexTenor (defined in ProductExposureCategory.model group) |
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin ProductExposureCategory.model group; see XML source
industryClassification |
Type: | IndustryClassification
Content: | simple, 1 attribute
Defined: | locally witnin PartyExposureCategory.model group; see XML source
instrumentId (defined in ExposureUnderlyingAsset complexType) | Identification of the underlying asset, using public and/or private identifiers.
Type: | InstrumentId
Content: | simple, 1 attribute
Defined: | locally witnin ExposureUnderlyingAsset complexType; see XML source
optionType (defined in ProductExposureCategory.model group) |
Type: | PutCallEnum
Content: | simple
Defined: | locally witnin ProductExposureCategory.model group; see XML source
partyReference (defined in PartyExposureCategory.model group) |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin PartyExposureCategory.model group; see XML source
partyReport |
Type: | PartyReport
Content: | complex, 3 attributes, 11 elements
Defined: | globally; see XML source
Used: | never
partyReportAcknowledgement |
Type: | Acknowledgement
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Used: | never
partyReportException |
Type: | Exception
Content: | complex, 3 attributes, 7 elements
Defined: | globally; see XML source
Used: | never
payment (in position in positionReport) | Zero or more payments associated with this position that are generated for this reporting as-of date, for example coupon payments that pay on this date.
Type: | PositionPayment
Content: | complex, 8 elements
Defined: | locally witnin ReportedPosition complexType; see XML source
position (in affectedPositions) | Positions affected by this event.
Type: | Position
Content: | complex, 1 attribute, 10 elements
Defined: | locally witnin AffectedPositions complexType; see XML source
position (in positionReport) | The positions included in the position report.
Type: | ReportedPosition
Content: | complex, 1 attribute, 11 elements
Defined: | locally witnin PositionReport complexType; see XML source
position (in positionUpdate) | The affected position.
Type: | Position
Content: | complex, 1 attribute, 10 elements
Defined: | locally witnin PositionUpdate complexType; see XML source
positionActivityReport |
Type: | PositionActivityReport
Content: | complex, 3 attributes, 16 elements
Defined: | globally; see XML source
Used: | never
positionActivityReportAcknowledgement |
Type: | Acknowledgement
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Used: | never
positionActivityReportException |
Type: | Exception
Content: | complex, 3 attributes, 7 elements
Defined: | globally; see XML source
Used: | never
positionReport |
Type: | PositionReport
Content: | complex, 3 attributes, 14 elements
Defined: | globally; see XML source
Used: | never
positionReportAcknowledgement |
Type: | Acknowledgement
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Used: | never
positionReportException |
Type: | Exception
Content: | complex, 3 attributes, 7 elements
Defined: | globally; see XML source
Used: | never
positionUpdate | The positions included in the position report.
Type: | PositionUpdate
Content: | complex, 4 elements
Defined: | locally witnin PositionActivityReport complexType; see XML source
priceReferenceMonth |
Type: | YearAndMonth
Content: | simple
Defined: | locally witnin ProductExposureCategory.model group; see XML source
productId (defined in ProductExposureCategory.model group) |
Type: | ProductId
Content: | simple, 1 attribute
Defined: | locally witnin ProductExposureCategory.model group; see XML source
productType (defined in ProductExposureCategory.model group) |
Type: | ProductType
Content: | simple, 1 attribute
Defined: | locally witnin ProductExposureCategory.model group; see XML source
quotationCharacteristics (in eventActivityReport) | The default quotation characteristics for this document (e.g. currency, location).
Type: | QuotationCharacteristics
Content: | complex, 13 elements
Defined: | locally witnin EventActivityReport complexType; see XML source
quotationCharacteristics (in exposureReport) |
Type: | QuotationCharacteristics
Content: | complex, 13 elements
Defined: | locally witnin ExposureReport complexType; see XML source
quotationCharacteristics (in positionActivityReport) | The default quotation characteristics for this document (e.g. currency, location).
Type: | QuotationCharacteristics
Content: | complex, 13 elements
Defined: | locally witnin PositionActivityReport complexType; see XML source
quotationCharacteristics (in positionReport) | The default quotation characteristics for this document (e.g. currency, location).
Type: | QuotationCharacteristics
Content: | complex, 13 elements
Defined: | locally witnin PositionReport complexType; see XML source
quote (defined in ReportedExposure complexType) | One or more numerical exposure values relating to the exposure category
Type: | BasicQuotation
Content: | complex, 1 attribute, 14 elements
Defined: | locally witnin ReportedExposure complexType; see XML source
rateObservation (in resetReport) | The value of the index on the reset/fixing date.
Type: | RateObservation
Content: | complex, 1 attribute, 8 elements
Defined: | locally witnin ResetReport complexType; see XML source
reason (in positionUpdate) | Allows information about reason for the update to be record.
Type: | PositionUpdateReason
Content: | complex, 13 elements
Defined: | locally witnin PositionUpdate complexType; see XML source
region |
Type: | Region
Content: | simple, 1 attribute
Defined: | locally witnin PartyExposureCategory.model group; see XML source
relatedAsset | This can be used to report assets that are related to this exposure, such as the asset on the other side of a basis trade.
Type: | ExposureUnderlyingAsset
Content: | complex, 3 elements
Defined: | locally witnin ProductExposureCategory.model group; see XML source
relatedParty (defined in PartyExposureCategory.model group) |
Type: | RelatedParty
Content: | complex, 4 elements
Defined: | locally witnin PartyExposureCategory.model group; see XML source
reportContents (in eventActivityReport) | The specific characteristics included in the report.
Type: | ReportContents
Content: | complex, 7 elements
Defined: | locally witnin EventActivityReport complexType; see XML source
reportContents (in exposureReport) | The specific characteristics included in the report.
Type: | ReportContents
Content: | complex, 7 elements
Defined: | locally witnin ExposureReport complexType; see XML source
reportContents (in partyReport) | The specific characteristics included in the report.
Type: | ReportContents
Content: | complex, 7 elements
Defined: | locally witnin PartyReport complexType; see XML source
reportContents (in positionActivityReport) | The specific characteristics included in the report.
Type: | ReportContents
Content: | complex, 7 elements
Defined: | locally witnin PositionActivityReport complexType; see XML source
reportContents (in positionReport) | The specific characteristics included in the report.
Type: | ReportContents
Content: | complex, 7 elements
Defined: | locally witnin PositionReport complexType; see XML source
reportContents (in requestPositionReport) | The specific characteristics that should be provided.
Type: | ReportContents
Content: | complex, 7 elements
Defined: | locally witnin RequestPositionReport complexType; see XML source
reportContents (in resetReport) | The specific characteristics included in the report.
Type: | ReportContents
Content: | complex, 7 elements
Defined: | locally witnin ResetReport complexType; see XML source
reportContents (in terminatingEventsReport) | The specific characteristics included in the report.
Type: | ReportContents
Content: | complex, 7 elements
Defined: | locally witnin TerminatingEventsReport complexType; see XML source
requestedPositions (in requestPositionReport) | The specific positions that this request corresponds to.
Type: | RequestedPositions
Content: | complex, 3 elements
Defined: | locally witnin RequestPositionReport complexType; see XML source
requestPositionReport |
Type: | RequestPositionReport
Content: | complex, 3 attributes, 13 elements
Defined: | globally; see XML source
Used: | never
resetReport |
Type: | ResetReport
Content: | complex, 3 attributes, 15 elements
Defined: | globally; see XML source
Used: | never
resetReportAcknowledgement |
Type: | Acknowledgement
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Used: | never
resetReportException |
Type: | Exception
Content: | complex, 3 attributes, 7 elements
Defined: | globally; see XML source
Used: | never
restructuring (defined in ProductExposureCategory.model group) | A credit event.
Type: | Restructuring
Content: | complex, 4 elements
Defined: | locally witnin ProductExposureCategory.model group; see XML source
sector (defined in ProductExposureCategory.model group) |
Type: | Sector
Content: | simple, 1 attribute
Defined: | locally witnin ProductExposureCategory.model group; see XML source
sectorType |
Type: | SectorType
Content: | simple, 1 attribute
Defined: | locally witnin ProductExposureCategory.model group; see XML source
seniority (defined in ProductExposureCategory.model group) | The repayment precedence of a debt instrument.
Type: | CreditSeniority
Content: | simple, 1 attribute
Defined: | locally witnin ProductExposureCategory.model group; see XML source
submissionsComplete (in eventActivityReport) | Indicates whether all portfolio updates have been submitted for this as-of date
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin EventActivityReport complexType; see XML source
submissionsComplete (in positionActivityReport) | Indicates whether all portfolio updates have been submitted for this as-of date
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PositionActivityReport complexType; see XML source
submissionsComplete (in positionReport) | Indicates whether all portfolio updates have been submitted for this as-of date
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PositionReport complexType; see XML source
terminatingEventsReport |
Type: | TerminatingEventsReport
Content: | complex, 3 attributes, 14 elements
Defined: | globally; see XML source
Used: | never
terminatingEventsReportAcknowledgement |
Type: | Acknowledgement
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Used: | never
terminatingEventsReportException |
Type: | Exception
Content: | complex, 3 attributes, 7 elements
Defined: | globally; see XML source
Used: | never
timestamp (in positionUpdate) | Records when the update occurred.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin PositionUpdate complexType; see XML source
toDateTime (in eventActivityReport) | The ending point for reporting activity in this report.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin EventActivityReport complexType; see XML source
toDateTime (in positionActivityReport) | The ending point for reporting activity in this report.
Type: | xsd:date
Content: | simple
Defined: | locally witnin PositionActivityReport complexType; see XML source
toDateTime (in terminatingEventsReport) | The ending point for reporting expirations/maturities in this report.
Type: | xsd:date
Content: | simple
Defined: | locally witnin TerminatingEventsReport complexType; see XML source
type (in positionUpdate) | Records the type of update that occurred (created, modified, deleted).
Type: | UpdateTypeEnum
Content: | simple
Defined: | locally witnin PositionUpdate complexType; see XML source
underlyingAsset (defined in ProductExposureCategory.model group) |
Type: | ExposureUnderlyingAsset
Content: | complex, 3 elements
Defined: | locally witnin ProductExposureCategory.model group; see XML source

Complex Type Summary
AffectedPositions | A type that allows a list of positions affected by some event to be represented.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
EventActivityReport | A type defining the content model for a message allowing one party to send a report consisting of a series of trading events that may affect positions.
Content: | complex, 3 attributes, 26 elements
Defined: | globally; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location
ExposurePartyType | A code that describes the high level category of the counterparty for exposure purposes.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
ExposureReport | A type defining the content model for a message allowing a firm to send a report listing aggregate exposure to a variety of counterparty and market risk categories.
Content: | complex, 3 attributes, 14 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
ExposureType | A code that describes the type of risk or exposure, based on the type of instrument that created the exposure.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
ExposureUnderlyingAsset | A description of the underlying asset of the transaction
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
PartyReport | A type defining the content model for a message allowing one party to send a report listing party information and relationships.
Content: | complex, 3 attributes, 11 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
PositionActivityReport | A type defining the content model for a message allowing one party to send a report consisting of a series of updates to positions.
Content: | complex, 3 attributes, 16 elements
Defined: | globally; see XML source
Includes: | definitions of 8 elements
Used: | at 1 location
PositionPayment | A global type describing the payment exposed to the matching process, along with its gross component(s) and calculation details.
Content: | complex, 8 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
PositionReport | A type defining the content model for a message allowing one party to send a report consisting of positions.
Content: | complex, 3 attributes, 14 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
PositionUpdate | A type that allows a position to be defined.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
PositionUpdateReason | A code that describes the reason that an update occurred.
Content: | complex, 13 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
PositionUpdateReasonCode | A code that describes the reason that an update occurred.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
Region | A code that describes the world region of a counterparty.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
ReportedExposure | A type defining the content model for an exposure record to a specific set of counterparty and market risk factors, as well as optionally to a series of sub-factors
Content: | complex, 29 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
ReportedPosition | A type defining the content model report of a position.
Content: | complex, 1 attribute, 11 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
RequestPositionReport | A type defining the content model for a message requesting a position report .
Content: | complex, 3 attributes, 13 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
ResetReport | A type defining the content model for a message allowing one party to send a report listing an index that has been observed/set and the affected positions.
Content: | complex, 3 attributes, 15 elements
Defined: | globally; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location
Sector | A code that describes the industry sector of a product or instrument.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
SectorType | A code that describes the type of industry sector of a product or instrument.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
TerminatingEventsReport | A type defining the content model for a message allowing one party to send a report consisting of a series of maturity and option expiry events for trades.
Content: | complex, 3 attributes, 14 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Simple Type Summary
YearAndMonth | A type defining a date that includes a year and month.
Defined: | globally; see XML source
Used: | at 2 locations

Element Group Summary
ExposureCategory.model | A group a specific set of counterparty and market risk factors for which an exposure record is provided.
Content: | 27 elements
Defined: | globally; see XML source
Used: | at 1 location
PartyExposureCategory.model | A group a specific set of counterparty risk factors for which an exposure record is provided.
Content: | 10 elements
Defined: | globally; see XML source
Includes: | definitions of 10 elements
Used: | at 1 location
ProductExposureCategory.model | A group a specific set of market risk factors for which an exposure record is provided.
Content: | 17 elements
Defined: | globally; see XML source
Includes: | definitions of 17 elements
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2011 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="rpt" ecore:package="org.fpml.reporting" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/reporting" version="$Revision: 8633 $" xmlns="http://www.fpml.org/FpML-5/reporting" xmlns:dsig="http://www.w3.org/2000/09/xmldsig#" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:view="http://www.fpml.org/views" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-reconciliation-5-3.xsd"/> <xsd:include schemaLocation="fpml-valuation-reporting-5-3.xsd"/> <xsd:complexType name="AffectedPositions"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that allows a list of positions affected by some event to be represented. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="position" type="Position"> <xsd:annotation> <xsd:documentation>Positions affected by this event.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="EventActivityReport"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the content model for a message allowing one party to send a report consisting of a series of trading events that may affect positions. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date for which this document reports positions and valuations. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dataSetName" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> The name of the data set (portfolio, product type, etc.) that this report corresponds to. Used to help document the contents of the report. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="quotationCharacteristics" type="QuotationCharacteristics"> <xsd:annotation> <xsd:documentation xml:lang="en"> The default quotation characteristics for this document (e.g. currency, location). Currency must be specified; other fields may be specified. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fromDateTime" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> The starting point for reporting activity in this report. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="toDateTime" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> The ending point for reporting activity in this report. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="submissionsComplete" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates whether all portfolio updates have been submitted for this as-of date </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="reportContents" type="ReportContents"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specific characteristics included in the report. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group maxOccurs="unbounded" ref="Events.model"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PartyReport"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the content model for a message allowing one party to send a report listing party information and relationships. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en">The date for which this report was generated.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dataSetName" type="xsd:normalizedString"> <xsd:annotation> <xsd:documentation xml:lang="en"> The name of the data set (portfolio, product type, etc.) that this request corresponds to. Describes the desired report. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="reportContents" type="ReportContents"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specific characteristics included in the report. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PositionActivityReport"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the content model for a message allowing one party to send a report consisting of a series of updates to positions. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date for which this document reports positions and valuations. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dataSetName" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> The name of the data set (portfolio, product type, etc.) that this report corresponds to. Used to help document the contents of the report. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="reportContents" type="ReportContents"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specific characteristics included in the report. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="quotationCharacteristics" type="QuotationCharacteristics"> <xsd:annotation> <xsd:documentation xml:lang="en"> The default quotation characteristics for this document (e.g. currency, location). Currency must be specified; other fields may be specified. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fromDateTime" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The starting point for reporting activity in this report. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="toDateTime" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The ending point for reporting activity in this report. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="submissionsComplete" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates whether all portfolio updates have been submitted for this as-of date </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="positionUpdate" type="PositionUpdate"> <xsd:annotation> <xsd:documentation xml:lang="en">The positions included in the position report.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PositionPayment"> <xsd:annotation> <xsd:documentation xml:lang="en"> A global type describing the payment exposed to the matching process, along with its gross component(s) and calculation details. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="PaymentDetails.model"/> <xsd:element minOccurs="0" name="adjustedPaymentDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en">The date on which this payment will settle.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="calculationDetails" type="CalculationDetails"> <xsd:annotation> <xsd:documentation xml:lang="en"> The set of cash flow components with calculations that comprise this payment. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <!----> <xsd:complexType name="PositionReport"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the content model for a message allowing one party to send a report consisting of positions. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date for which this document reports positions and valuations. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dataSetName" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> The name of the data set (portfolio, product type, etc.) that this report corresponds to. Used to help document the contents of the report. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="reportContents" type="ReportContents"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specific characteristics included in the report. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="quotationCharacteristics" type="QuotationCharacteristics"> <xsd:annotation> <xsd:documentation xml:lang="en"> The default quotation characteristics for this document (e.g. currency, location). Currency must be specified; other fields may be specified. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="submissionsComplete" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates whether all portfolio updates have been submitted for this as-of date </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="position" type="ReportedPosition"> <xsd:annotation> <xsd:documentation xml:lang="en">The positions included in the position report.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PositionUpdate"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that allows a position to be defined. It includes identification information (ID and version), trade information, etc. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="timestamp" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation>Records when the update occurred.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="type" type="UpdateTypeEnum"> <xsd:annotation> <xsd:documentation> Records the type of update that occurred (created, modified, deleted). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="reason" type="PositionUpdateReason"> <xsd:annotation> <xsd:documentation> Allows information about reason for the update to be record. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="position" type="Position"> <xsd:annotation> <xsd:documentation>The affected position.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PositionUpdateReason"> <xsd:annotation> <xsd:documentation xml:lang="en"> A code that describes the reason that an update occurred. For example, New Trade, Amendment, Termination, Exercise, Cancellation. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="code" type="PositionUpdateReasonCode"> <xsd:annotation> <xsd:documentation> A code summarizing the reason for the update (e.g. new trade, amdendment, novation). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="comment" type="xsd:string"> <xsd:annotation> <xsd:documentation> A freeform description of the reason for the update. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="Events.model"> <xsd:annotation> <xsd:documentation> A representation of the business event that triggered the position update. </xsd:documentation> </xsd:annotation> </xsd:group> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PositionUpdateReasonCode"> <xsd:annotation> <xsd:documentation xml:lang="en"> A code that describes the reason that an update occurred. For example, New Trade, Amendment, Termination, Exercise, Cancellation. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/position-update-reason-code" name="positionUpdateReasonCodeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ReportedPosition"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the content model report of a position. This slightly extends the basic position model. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Position"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="payment" type="PositionPayment"> <xsd:annotation> <xsd:documentation xml:lang="en"> Zero or more payments associated with this position that are generated for this reporting as-of date, for example coupon payments that pay on this date. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="RequestPositionReport"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the content model for a message requesting a position report . </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CorrectableRequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date for which this request desires positions and valuations. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice> <xsd:element minOccurs="0" name="dataSetName" type="xsd:normalizedString"> <xsd:annotation> <xsd:documentation xml:lang="en"> The name of the data set (portfolio, product type, etc.) that this request corresponds to. Describes the desired report. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="requestedPositions" type="RequestedPositions"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specific positions that this request corresponds to. Describes the desired report. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="reportContents" type="ReportContents"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specific characteristics that should be provided. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ResetReport"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the content model for a message allowing one party to send a report listing an index that has been observed/set and the affected positions. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en">The date for which this request was generated.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dataSetName" type="xsd:normalizedString"> <xsd:annotation> <xsd:documentation xml:lang="en"> The name of the data set (portfolio, product type, etc.) that this report corresponds to. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="reportContents" type="ReportContents"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specific characteristics included in the report. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="index" type="ForecastRateIndex"> <xsd:annotation> <xsd:documentation xml:lang="en">The rate index that has set.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="indexSource" type="RateSourcePage"> <xsd:annotation> <xsd:documentation xml:lang="en"> The reference source such as Reuters or Bloomberg. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="rateObservation" type="RateObservation"> <xsd:annotation> <xsd:documentation xml:lang="en">The value of the index on the reset/fixing date.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="affectedPositions" type="AffectedPositions"> <xsd:annotation> <xsd:documentation xml:lang="en">The positions affected by this fixing.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="TerminatingEventsReport"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the content model for a message allowing one party to send a report consisting of a series of maturity and option expiry events for trades. This can be used either for upcoming expirations/maturities, or for already completed events. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date for which this document reports positions and valuations. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="reportContents" type="ReportContents"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specific characteristics included in the report. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fromDateTime" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The starting point for reporting expirations/maturities in this report. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="toDateTime" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The ending point for reporting expirations/maturities in this report. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group maxOccurs="unbounded" ref="MaturityAndExpiryEvents.model"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ExposureReport"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the content model for a message allowing a firm to send a report listing aggregate exposure to a variety of counterparty and market risk categories. Exposures will be reported from the perspective of the "on-behalf-of" party. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en">The date for which this report was generated.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="asOfTime" type="xsd:time"> <xsd:annotation> <xsd:documentation xml:lang="en"> The time for which this report was generated (i.e., the cut-off time of the report). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dataSetName" type="xsd:normalizedString"> <xsd:annotation> <xsd:documentation xml:lang="en"> The name of the data set (portfolio, product type, etc.) that this request corresponds to. Describes the desired report. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="reportContents" type="ReportContents"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specific characteristics included in the report. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="quotationCharacteristics" type="QuotationCharacteristics"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="exposure" type="ReportedExposure"> <xsd:annotation> <xsd:documentation xml:lang="en"> A specific exposure record (which may include more details in the form of sub-records. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ReportedExposure"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the content model for an exposure record to a specific set of counterparty and market risk factors, as well as optionally to a series of sub-factors </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="ExposureCategory.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A description of the exposure category or categories (within the report or any parent exposure record) covered by this exposure record. </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:element maxOccurs="unbounded" minOccurs="0" name="quote" type="BasicQuotation"> <xsd:annotation> <xsd:documentation xml:lang="en"> One or more numerical exposure values relating to the exposure category </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="exposure" type="ReportedExposure"> <xsd:annotation> <xsd:documentation xml:lang="en">Sub-divisions of this total expsoure.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:group name="ExposureCategory.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A group a specific set of counterparty and market risk factors for which an exposure record is provided. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="PartyExposureCategory.model"/> <xsd:group ref="ProductExposureCategory.model"/> </xsd:sequence> </xsd:group> <xsd:group name="PartyExposureCategory.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A group a specific set of counterparty risk factors for which an exposure record is provided. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="region" type="Region"/> <xsd:element minOccurs="0" name="country" type="CountryCode"/> <xsd:element minOccurs="0" name="counterpartyType" type="ExposurePartyType"/> <xsd:element minOccurs="0" name="creditRating" type="CreditRating"/> <xsd:element minOccurs="0" name="partyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="accountReference" type="AccountReference"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedParty" type="RelatedParty"/> <xsd:element minOccurs="0" name="cleared" type="xsd:boolean"/> <xsd:element minOccurs="0" name="industryClassification" type="IndustryClassification"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="category" type="TradeCategory"> <xsd:annotation> <xsd:documentation xml:lang="en"> Used to categorize trades into user-defined categories, such as house trades vs. customer trades. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:complexType name="Region"> <xsd:annotation> <xsd:documentation xml:lang="en"> A code that describes the world region of a counterparty. For example, NorthAmerica, Europe, Asia. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/region-code" name="regionScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ExposurePartyType"> <xsd:annotation> <xsd:documentation xml:lang="en"> A code that describes the high level category of the counterparty for exposure purposes. For example, G15, NonG15. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/exposure-party-code" name="partyTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:group name="ProductExposureCategory.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A group a specific set of market risk factors for which an exposure record is provided. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="assetClass" type="AssetClass"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="productType" type="ProductType"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="productId" type="ProductId"/> <xsd:element minOccurs="0" name="currency" type="Currency"/> <xsd:element minOccurs="0" name="underlyingAsset" type="ExposureUnderlyingAsset"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedAsset" type="ExposureUnderlyingAsset"> <xsd:annotation> <xsd:documentation xml:lang="en"> This can be used to report assets that are related to this exposure, such as the asset on the other side of a basis trade. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="exposureType" type="ExposureType"/> <xsd:element minOccurs="0" name="indexTenor" type="Period"/> <xsd:element minOccurs="0" name="sector" type="Sector"/> <xsd:element minOccurs="0" name="sectorType" type="SectorType"/> <xsd:element minOccurs="0" name="seniority" type="CreditSeniority"> <xsd:annotation> <xsd:documentation xml:lang="en">The repayment precedence of a debt instrument.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="restructuring" type="Restructuring"> <xsd:annotation> <xsd:documentation xml:lang="en"> A credit event. A restructuring is an event that materially impacts the reference entity's obligations, such as an interest rate reduction, principal reduction, deferral of interest or principal, change in priority ranking, or change in currency or composition of payment. ISDA 2003 Term: Restructuring. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="couponRate" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the coupon rate (expressed in percentage) of a fixed income security or convertible bond. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="futuresEquivalentMonth" type="YearAndMonth"/> <xsd:element minOccurs="0" name="priceReferenceMonth" type="YearAndMonth"/> </xsd:choice> <xsd:element minOccurs="0" name="optionType" type="PutCallEnum"/> <xsd:element minOccurs="0" name="expirationDate" type="xsd:date"/> <!-- <xsd:element name="strikePrice" type="xsd:decimal" minOccurs="0"/> --> </xsd:sequence> </xsd:group> <xsd:complexType name="ExposureUnderlyingAsset"> <xsd:annotation> <xsd:documentation xml:lang="en"> A description of the underlying asset of the transaction </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="description" type="xsd:normalizedString"> <xsd:annotation> <xsd:documentation xml:lang="en"> A textual description of the asset that underlies the exposure. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" ref="underlyingAsset"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="instrumentId" type="InstrumentId"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identification of the underlying asset, using public and/or private identifiers. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Sector"> <xsd:annotation> <xsd:documentation xml:lang="en"> A code that describes the industry sector of a product or instrument. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="sectorScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ExposureType"> <xsd:annotation> <xsd:documentation xml:lang="en"> A code that describes the type of risk or exposure, based on the type of instrument that created the exposure. For example, values might include Outright, Basis, or Index for swaps, or BasketOption, or StaircaseOption for options. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/exposure-type" name="exposureTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="SectorType"> <xsd:annotation> <xsd:documentation xml:lang="en"> A code that describes the type of industry sector of a product or instrument. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="sectorType" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:simpleType name="YearAndMonth"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a date that includes a year and month. Values will be of the format yyyy-mm </xsd:documentation> </xsd:annotation> <xsd:restriction base="xsd:normalizedString"> <xsd:pattern value="[1-2][0-9][0-9][0-9]-[0-1][0-9]"/> </xsd:restriction> </xsd:simpleType> <xsd:annotation> <xsd:documentation xml:lang="en">Reporting messages.</xsd:documentation> </xsd:annotation> <xsd:element name="requestPositionReport" type="RequestPositionReport"/> <xsd:element name="positionReport" type="PositionReport"/> <xsd:element name="positionReportAcknowledgement" type="Acknowledgement"/> <xsd:element name="positionReportException" type="Exception"/> <xsd:element name="positionActivityReport" type="PositionActivityReport"/> <xsd:element name="positionActivityReportAcknowledgement" type="Acknowledgement"/> <xsd:element name="positionActivityReportException" type="Exception"/> <xsd:element name="terminatingEventsReport" type="TerminatingEventsReport"/> <xsd:element name="terminatingEventsReportAcknowledgement" type="Acknowledgement"/> <xsd:element name="terminatingEventsReportException" type="Exception"/> <xsd:element name="eventActivityReport" type="EventActivityReport"/> <xsd:element name="eventActivityReportAcknowledgement" type="Acknowledgement"/> <xsd:element name="eventActivityReportException" type="Exception"/> <!-- <xsd:element name="requestResetReport" type="RequestResetReport" /> --> <xsd:element name="resetReport" type="ResetReport"/> <xsd:element name="resetReportAcknowledgement" type="Acknowledgement"/> <xsd:element name="resetReportException" type="Exception"/> <xsd:element name="partyReport" type="PartyReport"/> <xsd:element name="partyReportAcknowledgement" type="Acknowledgement"/> <xsd:element name="partyReportException" type="Exception"/> <xsd:element name="exposureReport" type="ExposureReport"/> <xsd:element name="exposureReportAcknowledgement" type="Acknowledgement"/> <xsd:element name="exposureReportException" type="Exception"/> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.